package org.t2framework.lucy.tx;

public interface TransactionProcesser {

	<R> R required(Worker<R> worker) throws Throwable;

	<R> R requiresNew(Worker<R> worker) throws Throwable;

	<R> R mandatory(Worker<R> worker) throws Throwable;

	<R> R notSupported(Worker<R> worker) throws Throwable;

	<R> R never(Worker<R> worker) throws Throwable;

}
