/**
 * 
 */
package org.t2framework.lucy.tx;

import javax.transaction.Transaction;

public interface TransactionWrapper {

	boolean begin() throws Exception;

	Transaction suspend() throws Exception;

	boolean hasTransaction() throws Exception;

	void resume(Transaction tx) throws Exception;

	void setRollbackOnly();

	void end() throws Exception;

}