/**
 * 
 */
package org.t2framework.lucy.tx.interceptor;

import java.lang.reflect.Method;

import org.t2framework.commons.annotation.composite.SingletonScope;
import org.t2framework.commons.aop.spi.Invocation;
import org.t2framework.lucy.tx.Worker;

@SingletonScope
public class DefaultWorkerAdapterFactory implements WorkerAdapterFactory {

	@Override
	public Worker<Object> adapt(Invocation<Method> invocation) {
		return new InvocationWorker(invocation);
	}
}